<?php

namespace WPSocialReviews\Classes\Chats;

if (!defined('ABSPATH')) {
    exit;
}

abstract class BaseChat
{

    public $platform;

    public function __construct($platform)
    {
        $this->platform = $platform;
    }

    public function registerHooks()
    {
        add_action('wpsocialreviews/save_chat_credential_' . $this->platform, array($this, 'saveChatCredential'));
        add_action('wpsocialreviews/get_chat_credential_' . $this->platform, array($this, 'getChatCredential'));
        add_action('wpsocialreviews/delete_chat_credential_' . $this->platform, array($this, 'deleteChatCredential'));
        add_action('wpsocialreviews/update_chat_credential_' . $this->platform, array($this, 'updateChatCredential'));
    }
}
