<?php
if (!empty($feeds) && is_array($feeds)) {
    foreach ($feeds as $index => $feed) {
        if ($index >= $sinceId && $index <= $maxId) {

            $retweeted_tweet = isset($feed['retweeted_status']) ? $feed['retweeted_status'] : '';
            $quoted_tweet = isset($feed['quoted_status']) ? $feed['quoted_status'] : '';

            if ((isset($template_meta['advance_settings']['show_retweeted_tweet']) && $template_meta['advance_settings']['show_retweeted_tweet'] === 'false' && $retweeted_tweet) || (isset($template_meta['advance_settings']['show_quoted_tweet']) && $template_meta['advance_settings']['show_quoted_tweet'] === 'false' && $quoted_tweet)) {
                continue;
            }
            ?>

            <div class="wpsr-twitter-tweet">
                <?php
                /**
                 * tweet_author_avatar hook.
                 *
                 * @hooked wpsr_render_tweet_author_avatar_html 10
                 * */
                do_action('wpsocialreviews/tweet_author_avatar', $feed, $template_meta);
                ?>


                <div class="wpsr-twitter-author-tweet">
                    <?php
                    /**
                     * tweet_retweeted_status hook.
                     *
                     * @hooked wpsr_render_tweet_retweeted_status_html 10
                     * */
                    do_action('wpsocialreviews/tweet_retweeted_status', $feed);
                    ?>

                    <div class="wpsr-tweet-author-info">

                        <div class="wpsr-tweet-author-links">
                            <?php
                            /**
                             * tweet_author_info hook.
                             *
                             * @hooked wpsr_render_tweet_author_verified_icon_html 10
                             * @hooked wpsr_render_tweet_author_name_html 5
                             * */
                            do_action('wpsocialreviews/tweet_author_info', $feed, $template_meta);
                            ?>

                            <?php
                            /**
                             * tweet_author_info hook.
                             *
                             * @hooked wpsr_render_tweet_time_html 10
                             * @hooked wpsr_render_tweet_author_username_html 10
                             * */
                            do_action('wpsocialreviews/tweet_author_username', $feed, $template_meta);
                            do_action('wpsocialreviews/tweet_time', $feed, $template_meta);
                            ?>
                        </div>
                        <!-- end wpsr-tweet-author-links -->
                        <?php if (isset($template_meta['advance_settings']) && $template_meta['advance_settings']['twitter_logo'] === 'true') { ?>
                            <div class="wpsr-tweet-logo">
                                <a target="_blank"
                                   href="<?php echo esc_url('https://twitter.com/' . $feed['user']['screen_name'] . '/status/' . $feed['id_str']); ?>">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 400 400">
                                        <rect style="fill:none;" width="40" height="40"/>
                                        <path style="fill:#1da1f2;"
                                              d="M153.62,301.59c94.34,0,145.94-78.16,145.94-145.94,0-2.22,0-4.43-.15-6.63A104.36,104.36,0,0,0,325,122.47a102.38,102.38,0,0,1-29.46,8.07,51.47,51.47,0,0,0,22.55-28.37,102.79,102.79,0,0,1-32.57,12.45,51.34,51.34,0,0,0-87.41,46.78A145.62,145.62,0,0,1,92.4,107.81a51.33,51.33,0,0,0,15.88,68.47A50.91,50.91,0,0,1,85,169.86c0,.21,0,.43,0,.65a51.31,51.31,0,0,0,41.15,50.28,51.21,51.21,0,0,1-23.16.88,51.35,51.35,0,0,0,47.92,35.62,102.92,102.92,0,0,1-63.7,22A104.41,104.41,0,0,1,75,278.55a145.21,145.21,0,0,0,78.62,23"/>
                                    </svg>
                                </a>
                            </div>
                        <?php } ?>
                        <!-- end wpsr-tweet-author-links -->

                    </div>
                    <!-- end wpsr-tweet-author-info -->

                    <?php
                    /**
                     * tweet_content hook.
                     *
                     * @hooked wpsr_render_tweet_content_html 10
                     * */
                    do_action('wpsocialreviews/tweet_content', $feed, $template_meta);
                    ?>

                    <div class="wpsr-tweet-actions">
                        <?php
                        /**
                         * tweet_author_info hook.
                         *
                         * @hooked wpsr_render_tweet_action_favorite_count 15
                         * @hooked wpsr_render_tweet_action_retweet_count 10
                         * @hooked wpsr_render_tweet_action_reply 5
                         * */
                        do_action('wpsocialreviews/tweet_actions', $feed, $template_meta);
                        ?>
                    </div>
                    <!-- end wpsr-tweet-actions -->

                </div>
                <!-- end wpsr-twitter-author-tweet -->

            </div>
            <!-- end wpsr-twitter-tweet -->
            <?php
        } //if condition end
    }
    ?>
    <?php
}

