<?php

if ($template_header_meta['header_settings']['display_header'] === 'false' || empty($header)) {
    return;
}
$column_gaps = isset($template_header_meta['column_gaps']) ? $template_header_meta['column_gaps'] : 'default';
?>
<div class="wpsr-row">
    <div class="wpsr-yt-header wpsr-col-12 wpsr-gap-<?php echo esc_attr($column_gaps); ?>">
        <?php

        /**
         * youtube_channel_banner hook.
         *
         * @hooked wpsr_render_youtube_channel_banner_html 10
         *
         **/
        do_action('wpsocialreviews/youtube_channel_banner', $header, $template_header_meta['header_settings']);
        ?>

        <div class="wpsr-yt-header-inner">


            <?php

            /**
             * youtube_channel_logo hook.
             *
             * @hooked wpsr_render_channel_logo_html 10
             *
             **/
            do_action('wpsocialreviews/youtube_channel_logo', $header, $template_header_meta['header_settings']);

            ?>


            <div class="wpsr-yt-header-info">

                <?php
                /**
                 * youtube_channel_name hook.
                 *
                 * @hooked wpsr_render_channel_name_html 10
                 *
                 **/
                do_action('wpsocialreviews/youtube_channel_name', $header, $template_header_meta['header_settings']);


                /**
                 * youtube_channel_statistics hook.
                 *
                 * @hooked wpsr_render_channel_statistics_html 10
                 *
                 **/
                do_action('wpsocialreviews/youtube_channel_statistics', $header, $template_header_meta['header_settings']);


                /**
                 * youtube_channel_description hook.
                 *
                 * @hooked wpsr_render_channel_description_html 10
                 *
                 **/
                do_action('wpsocialreviews/youtube_channel_description', $header, $template_header_meta['header_settings']);
                ?>

            </div>

            <?php

            /**
             * youtube_channel_subscribe_btn hook.
             *
             * @hooked wpsr_render_youtube_channel_subscribe_btn_html 10
             * */
            do_action('wpsocialreviews/youtube_channel_subscribe_btn', $header, $template_header_meta['header_settings']);

            ?>

        </div>

    </div>
</div>
  