=== WP Social Ninja - The all-in-one WordPress Social Plugin for Social Reviews, Social Feeds and Live Chat ===
Contributors: devutpol, codemonksuvro, chntito, kawsar007, wpmanageninja
Tags: social feed, social reviews, social chat, google reviews, airbnb reviews, facebook reviews, yelp reviews, trustpilot, twitter feed, instagram feed, youtube feed, messenger chat
Requires at least: 4.7
Tested up to: 5.6.1
Requires PHP: 5.6
Stable tag: 1.3.1
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Using WP Social Ninja plugin, you can add user's reviews on your WordPress site from Google, Facebook, Airbnb, Yelp, Zomato and so on. We are working everyday to add more social sites with our plugin. You can also use the freedom to add feeds from different social network sites and you can also add live chats on your sites using our plugin.

== Description ==
[Demo](https://wpsocialninja.com/) | [User Guide](https://wpsocialninja.com/docs/) | [Get Support](https://wpmanageninja.com/support-tickets/)

**WP Social Ninja** is an all-in-one WordPress Social plugin to automatically integrate your social media reviews, news feeds, and chat functionalities on your website. Save you valuable time & money by installing WP Social Ninja, the super all in one WordPress social plugin, instead of taking the hassle of maintaining multiple social plugins for different purposes.

**WP Social Ninja** is the most efficient plugin for gathering all your social reviews and recommendations from multiple social sites to your website and boosting your business. As mentioned earlier, WP Social Ninja offers 3 significant services in one single plugin:

* Social Reviews
* Social Feeds
* Social Chats

The power of real and authentic testimonials on your business website is limitless. Your business may have plenty of reviews on different social platforms like **Facebook, Google My Business, Yelp, or Zomato.** In which case, you are struggling to manually import social reviews or testimonials on your website. Well, **WP Social Ninja** is your solution. It brings all your business’s social channels under one umbrella, making them easy to manage, showcase, and filter.

Not just that, WP Social Ninja also allows you to import your business’s social media feeds (Facebook, Instagram, Twitter) automatically and tailor custom feeds based on hashtag campaigns, post types, etc.

And what makes it even better? The ability to manage live chats on your website using the business’s Facebook/WhatsApp/Telegram messenger.


== Social Reviews ==
**WP Social Ninja** allows you to import all the reviews from Google My Business to other famous business platforms like Airbnb, Amazon, Yelp, Zomato, and many more on your WordPress site very efficiently. WP Social Ninja is an ideal social plugin to import reviews from different social platforms. The review platforms you can import using **WP Social Ninja** in a nutshell:

* Google Places
* Airbnb (Up to 5 reviews in the free version)
* Amazon (Pro)
* Yelp (Pro)
* Zomato (Pro)
* Aliexpress (Pro)
* Trustpilot (Pro)
* Booking.com (Pro)
* Tripadvisor (Pro)
* Facebook (Coming Soon)

== Social Feeds ==
Not only reviews! Can import all of your social media updates to your website. You can even use **WP Social Ninja** to showcase your social feeds like showing Facebook Posts, Youtube videos, Tweets, Instagram Feeds, etc. Here goes the list of social media channels this social plugin supports:
* Twitter
* Youtube
* Instagram
* Facebook (Coming soon)

== Social Chat ==
**WP Social Ninja** allows your visitors to chat with you using different popular social chat platforms like Messenger, Whatsapp, Telegram directly from your website pages. Moreover, this WordPress social plugin supports Facebook Messenger, which is free for all users. Besides WhatsApp and Telegram comes in the pro version. Some other platforms will be integrated in the future.

* Messenger
* WhatsApp (pro)
* Telegram (pro)

== WP Social Ninja Features ==
* Easy integration with social platforms
* Import & Display Unlimited Google My Business Reviews FREE
* Google reviews auto-sync feature
* Youtube feed sharing with advanced customization settings
* Live on-site Messenger chat on any page
* Twitter social feeds on the website
* An advanced settings panel for Twitter
* Realtime review synchronization
* Shortcode supported
* 100% SEO friendly
* Chat Color Styling Option
* Review sync in a predefined time interval
* Filter the number of reviews to display
* On/Off Rating Display, Rating Styles
* On/Off reviewers Name, Image, or Date display
* Display your reviews and feeds in Grid
* 5 Free Templates in Grid Layouts
* Equal height
* Trim review texts
* Keep all your reviews and recommendations on the WordPress database.
* Supports all page builders
* Supports most WordPress themes
* Create multiple templates
* Edit saved template anytime
* Easy API Integration
* Use custom CSS
* 24/7 Premium Support

== WP Social Ninja Integrated Platforms==

==Display Google Reviews on WordPress==
Unlike any other WordPress social plugin, using **WP Social Ninja**,  users can import unlimited Google My Business Reviews on their website.

* Display unlimited Google reviews
* Grid, slider(pro), Masonry(pro) layouts
* Review filters
* Advanced Settings (Pagination, Header(pro), etc.)
* Customizable Settings options

==Exhibit Youtube Feed on WordPress Website==
**WP Social Ninja** allows you to display all your youtube videos on your WordPress website, offering hundreds of features and filter parameters.

* Automatically display videos
* Video source customization, Channel (free), Playlist (pro), Specific videos (pro), Live streams (pro)
* Advanced settings panel
* Channel Header settings
* Pagination settings

==Fetch Instagram Feed & Hashtag Campaigns==
Showcase all your Instagram posts using the Feed, Hashtags(pro), and Particular keywords(Pro) on your WordPress website using **WP Social Ninja**, all in one WordPress social plugin.

* Fetch all user posts in a single click
* Advanced Header settings
* Post, Follow button(Pro) Settings
* Hashtag, Tagged Feed type (Pro)
* Filter (Display/Hide) Posts Containing particular Word or Hashtag (Pro)


==Display Ecommerce Reviews on WordPress (Amazon, Aliexpress)==
**WP Social Ninja** provides exclusive features to showcase your business's social reviews & testimonials to your eCommerce website without any hassle.

* Grid, Masonry (pro), Carousel (pro) layouts
* Advanced settings panel for detailed customization
* Pagination Settings
* Sync posts real-time/predefined time interval

==Display Travel & Business Review on WordPress (Airbnb, Booking.com, Tripadvisor, Trustpilot, Yelp, Zomato)==
Authentic reviews perform a significant role in building the reputation of your business. **WP Social Ninja** fetches all your business reviews from the social platforms and displays them in an organized way on your WordPress website.

* Fetch reviews from multiple platforms and showcase in a single template
* Choose from prebuilt 5+ templates (10+ in Pro), Grid, Slider (Pro), Masonry (Pro)
* Advanced Settings panel for detailed customization (Pagination, Header etc.)
* Review Filters using advanced parameters(Pro)
* Display unlimited reviews



== WP Social Ninja is versatile ==
One single WordPress plugin to serve you in multiple social aspects, that's **WP Social Ninja**. This super-smart WordPress social plugin takes care of importing your social reviews, automatically manages your social posts on your WordPress website, and provides a social chatbox on your website to allow your visitors to communicate with you directly. No need to install multiple plugins for social reviews, social feeds, or social chat individually. **WP Social Ninja** does it entirely all alone.

== WP Social Ninja Offers Unlimited Google Reviews ==
Get yourself the feature to import and display unlimited Google Reviews on your website. Most users struggle because of the limitation of the plugin they use. Using **WP Social Ninja**, unlike any other WordPress social plugin, users can import unlimited Google My Business Reviews, and this feature comes completely free with the plugin. Also, enjoy the Google auto-sync feature for free.

= Advanced Customization Settings for Youtube Feed =
Display your Youtube videos on your WordPress website like never before. Wp Social Ninja youtube feed allows you to integrate your youtube channel for FREE on your website. You can source the videos to display by Playlist (pro), search (pro), Specific video (pro), and even your youtube live streams (pro). Not only that, but you also get an advanced settings panel for free to customize the video settings and the video header.

= Advanced Feature for Twitter Feed =
The Twitter feed in WP Social Ninja is packed with numerous exciting features. You can choose the Feed Type by User Timeline, Home Timeline, Hashtag, or Mentions. These will help you fetch the corresponding Twitter handle feed or tweets under those hashtags and mentions automatically to your webpage. In the User Timeline, you can input any Twitter username to fetch the feeds. An advanced settings panel is provided with options to enable/disable displaying Author name, Username, Date, Images, Videos, GIFs, and many more. In the PRO version, get Masonry and Carousel layouts, Heading Settings and Pagination Settings.

== Elegant Review Presentation ==
Showcase your social reviews smartly and beautifully with the prebuilt templates and customization setting with **WP Social Ninja**. Prebuilt Grid, Slide, Masonry layouts to display all your reviews on your website very smarty and elegantly. You can rearrange social reviews, recommendations, ratings using completely customizable prebuilt templates of this WordPress social plugin.

== Show the reviews you want to show (Pro) ==
With **WP Social Ninja**, you will be able to set the minimum rating you want to exhibit on your website. Set it on 3-star, and reviews below 3-star will not be fetched on the website from your social channel. You can also exclude specific user reviews from being fetched if it bothers your business. With **WP Social Ninja** Pro, you will be in complete control of your PR from your home!

== Super Easy Integration ==
**WP Social Ninja** provides super easy and smart integration with different social platforms. Adding Twitter, Messenger, and Google Reviews are made super easy for you. Only a few clicks are required for attaching the social platform reviews on your WordPress sites using **WP Social Ninja**.
Instead of complicated processes, very simple and effortless APK email integration for Google My Business, simple login integration with Messenger, Twitter, and other social platforms.

== Reviews, Recommendations, Ratings ==
**WP Social Ninja** do not limit you only with the social reviews. Alongside the reviews, it offers recommendations and ratings also. You can very efficiently display the authentic ratings and recommendations on your website to boost up your business and increase the branding value. Reveal the proficiency of your business to your visitors without any struggle.

== WP Social Ninja is Super Easy and Super Fast ==
Using **WP Social Ninja**, you are always just a few clicks away from displaying all your social reviews on your WordPress website. Just integrate your platform, and all your reports will be ready to publish. Select the template you want to use it, maybe a few customizations if you like. It is super fast with zero interval times in between clicks.

== Instant Support ==
The **WP Social Ninja** team always stays with the users to make the user experience better every day. Get dedicated support from our excellent happiness managers and developers. And Yes! It's completely free. Enjoy the 24/7 premium support for FREE.

If you have any suggestions or queries, feel free to open a ticket [here](https://wpmanageninja.com/support-tickets/).

== Request Feature ==
You can also request any features you want to come with the installation of the WP Social Ninja. You may also suggest if you wish to have any social site to be integrated or you can submit the bug reports too.

== Liked WP Social Ninja? ==
- Learn from our tutorials on [YouTube Channel.](https://www.youtube.com/channel/UCiyeXfnGx9e06hXWf0Hz7ow?view_as=subscriber)
- Review our plugin at [WordPress.org](https://wordpress.org/support/plugin/wp-social-reviews/reviews/)

== WP Social Ninja Business Version ==
* Add Facebook, Amazon, Yelp, Zomato, Aliexpress, Trustpilot, Booking.com & Tripadvisor reviews
* Display Instagram, Facebook Social Feeds (Coming soon)
* WhatsApp, Telegram, Social Chat Integration
* Advanced customization features for Youtube feed
* Fetch Instagram feed using hashtags
* Display Merged Reviews from all Integrated Social Platforms
* Display Average Rating
* Display High Rating Using Rating Filter.
* Select Particular Reviews to Display Using Review Filter (Include Reviews)
* Select Reviews You Don't Want to Display Using review Filter (Exclude Reviews)
* Slider and Masonry Layouts
* All Templates (Grid, Slide, Masonry)
* Slider Layout Settings
* Header Settings
* Manually Write or Edit a Review.
* Filter Reviews without Texts
* Fluent Forms Integration
* Pagination Settings.


== Installation ==
This section describes how to install the plugin and get it working.
Install From WordPress Admin Panel:

1. Login to your WordPress Admin Area
2. Go to Plugins -> Add New
3. Type "WP Social Ninja" into the Search and hit Enter.
4. Find this plugin Click "install now"
5. Activate The Plugin
6. Use [wp_social_ninja id="template_id" platform="platform_name"] Shortcode on your next page or post.

= Manual Installation =
1. Download the plugin from WordPress.org repository
2. On your WordPress admin dashboard, go to Plugins -> Add New -> Upload Plugin
3. Upload the downloaded plugin file (wp-social-reviews.zip) and click Install Now
4. Activate "WP Social Ninja" from your Plugins page.
5. Use WP Social Ninja on your site form the dashboard.

== Screenshots ==
1. All Platforms Settings Page
2. Configure, Create the template and Embed your Google My Business reviews
3. Configure, Create the template and Embed your Instagram Feeds
4. Configure, Create the template and Embed your YouTube Feeds
5. Configure, Create the template and Embed your Twitter Feeds
6. Embed your Messenger Chat using WP Social Ninja

== Changelog ==

1.3.1 ( Date: February 17, 2021 )
- Added: Reviews Filters ( Order by )
- Fixed: Reviews Pagination Issue
- Fixed: jQuery.differed exception error issue
- Fixed: Chat.php file PHP header already sent issue
- Fixed: Assets loading on specific page
- Fixed: Assets loading for sidebar widget
- Fixed: Twitter Load more issue

1.3.0 ( Date: February 13, 2021 )
- Added: Instagram Feed
- Added: WP Social Ninja sidebar widget
- Added: Twitter Filters Option
- Fixed: Twitter media repeat issue
- Fixed: YouTube Popup Extra Gap Issue
- Fixed: Messenger assets loading issue
- Improve: YouTube Number Of Columns
- Improve: Platform configuration modal UX
- Improve: Editor Panel UX

1.2.5 ( Date: October 29, 2020 )
- Added - YouTube Feed
- Fixed - Google Auto Syncing Error issue
- Fixed - Airbnb data fetching issue
- Fixed - Airbnb empty url message
- Fixed - Twitter Username display issue
- Fixed - Twitter template theme compatibility issue

1.2.4 ( Date: July 29, 2020 )
New – Added: Twitter Element Display/Hide Settings Option
New – Added: Twitter Retweeted Status on tweet
New – Added: Twitter video tweet
New – Added: Twitter gif tweet
New – Added: Twitter youtube/vimeo/soundcloud tweet
New – Improve: Twitter display website original urls on tweet
New – Improve: Twitter Load More Button Design
New – Improve: Twitter date format
New – Improve: Twitter API Fetch UX
New – Fixed: Twitter tweet link issues
New – Fixed: Twitter quoted tweet issue
New – Fixed: Twitter retweeted tweet issue
New – Fixed: Twitter status id issue
New – Fixed: Twitter action count number format
New – Fixed: Twitter retweeted, quoted tweet action count issue

1.2.3 ( Date: July 06, 2020 )
New – Fixed: Messenger offline message css issue

1.2.2 ( Date: July 06, 2020 )
New - Fixed: Google access code field message
New - Fixed: Messenger greeting text color, align issue
New - Fixed: Messenger always typing issue
New - Improve: Plugin name
New - Improve: Shortcode name

1.2.1 ( Date: June 27, 2020 )
New - Added Airbnb review platform
New - Added Google reviews auto sync option
New - Added Messenger header background, title, caption styling option
New - Added Messenger will open on same window
New - Added Tinymce editor on greeting message
New - Fixed: Google my business configuration documentation link

1.2.0 ( Date: May 12, 2020 )
New - Added Google My Business API
New - Fetch unlimited numbers of review from google my business
New - Added Ajax Load More Button on reviews template
New - Added configuration clear button
New - Twitter Feeds Ajax Load More Button
New - Added chat template select option
New - Added 1 new chat template
New - Added chat button text change option
New - Added chat button icon select option
New - Fixed chat icon and prompt display issue on editor


1.1.1 ( Date: February 07, 2020 )
New - Twitter Feeds Real Time Syncing
New - Twitter advanced settings option
Improve - Twitter configuration modal ui/ux
Improve - Reviews placeholder image
Improve - CSS file enqueue on header
Fixed - Feed cache timeout issue
Fixed - All Templates edit/delete/duplicate issue

1.1.0 ( Date: January 28, 2020 )
New - Twitter Feeds
New - Twitter OAuth login system
New - Twitter live editor
New - Facebook Messenger Chat
New - Facebook Messenger Auto Page Connection Option
New - Facebook Messenger Chat live editor
Improve - Shortcode generating
Improve - All Templates Data

1.0.1 ( Date: January 08, 2020 )
New - Added Rigel and Procyon Template
New - Added few filter and action hooks for developers.
New - Google Structured Data Format
New - SEO Friendly
Improve - Read More URL
Improve - Configuration Modal UI and Validation
Fixed: Front-end rating filter by rating value
Fixed: Remove all admin notices from wp social reviews pages

1.0.0 ( Date: January 01, 2020 )
init the first release