<?php

namespace WPSocialReviews\Classes;

if (!defined('ABSPATH')) {
    exit;
}

/**
 * Register and initialize custom post type for WP Social Reviews
 * @since 1.0.0
 */
class PostType
{
    public static $CPTName = 'wp_social_reviews';

    /**
     *
     * register custom post type using args
     * @since 1.0.0
     *
     **/
    public static function register()
    {
        $cptArgs = array(
            'capability_type' => 'post',
            'public' => false,
            'show_ui' => false,
        );
        register_post_type(self::$CPTName, $cptArgs);
    }
}

