<?php

use WPSocialReviews\Classes\Helper;

if (empty($feed)) {
    return;
}

?>
<div class="wpsr-yt-popup-overlay wpsr-yt-popup-open">
    <div class="wpsr-yt-popup-box-wraper">
        <div class="wpsr-yt-popup-box-wraper-inner">
            <div class="wpsr-yt-popup-loader">
                <div class="wpsr-spinner-animation"></div>
            </div>
            <div class="wpsr-yt-popup-close-btn"></div>
            <div class="wpsr-yt-popup-video-player">
                <?php
                $playlist = '';
                $videoId = isset($feed['snippet']['resourceId']) && isset($feed['snippet']['resourceId']['videoId']) ? $feed['snippet']['resourceId']['videoId'] : $feed['id'];
                if (isset($template_meta['popup_settings']['video_loop']) && $template_meta['popup_settings']['video_loop'] === 'true') {
                    $playlist = '&playlist=' . $videoId;
                }
                ?>
                <iframe id="wpsr-yt-popup-video-iframe"
                        src="https://www.youtube.com/embed/<?php echo isset($feed['snippet']['resourceId']) && isset($feed['snippet']['resourceId']['videoId']) ? $feed['snippet']['resourceId']['videoId'] : $feed['id']; ?>?loop=1&autoplay=<?php echo isset($template_meta['popup_settings']['autoplay']) && $template_meta['popup_settings']['autoplay'] === 'true' ? 1 : 0;
                        echo $playlist; ?>" frameborder="0" allowfullscreen></iframe>
            </div>

            <?php
            apply_filters('wpsocialreviews/youtube_popup_content', $feed, $template_meta, $header);
            ?>


        </div>

    </div>
</div>